1
Huugos
Is there any kind of webshop module for xoops?
  • 2013/4/19 4:19

  • Huugos

  • Just popping in

  • Posts: 2

  • Since: 2011/1/8 7


Hi folks,

Im looking for module to my xoops project site, and need webshop on it. Is there any module for that purpose?

2
xoobaru
Re: Is there any kind of webshop module for xoops?
  • 2013/4/19 19:52

  • xoobaru

  • Just can't stay away

  • Posts: 494

  • Since: 2010/12/2


Fraid not at this time. Someone correct me if I'm wrong, but they are all very dated. I tried the Zencart enabled module but that white screened out of the box.

There is a payment gateway module available but with no storefront.

There are a couple of Classifieds modules that might serve as a starting point for a good webshop if instead of the multi seller to multi-buyer model, it could be organized as single seller to multiple buyer one.

Wishcraft has a webshop for pimps called Sexy. Maybe he can make custom mods so it can sell "conventional merchandise".

3
Mamba
Re: Is there any kind of webshop module for xoops?
  • 2013/4/19 21:05

  • Mamba

  • Moderator

  • Posts: 11211

  • Since: 2004/4/23


We have a module for eCommerce called Oledrion, and Voltan is working on few updates (see his branch).

You can download it from our SVN using TortoiseSVN
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

4
Huugos
Re: Is there any kind of webshop module for xoops?
  • 2013/4/20 4:47

  • Huugos

  • Just popping in

  • Posts: 2

  • Since: 2011/1/8 7


Thx Mamba,

I need username and password for download, i´ll try it with my sourceforge login, but not working... any help for this. Waiting so much to see that module...

Never mind, got it working...

5
serial-weber
Re: Is there any kind of webshop module for xoops?

Hi,

I am really glad that you finally updated this important module, the only which really make Ecommerce in Xoops, thank you very much.

I downloaded and tested this new version of Oledrion and I notice that many things are already corrected. But I have a problem when trying to modify a product.
When I create a product, I can't modify it. I receive this message "There was a problem while saving data".

What can I do? Is it Oledrion problem or I must make some setting?

Thank you


6
Mamba
Re: Is there any kind of webshop module for xoops?
  • 2013/7/3 20:11

  • Mamba

  • Moderator

  • Posts: 11211

  • Since: 2004/4/23


Please provide version of XOOPS/PHP, and steps to reproduce it.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

7
serial-weber
Re: Is there any kind of webshop module for xoops?

Hi,

Here is my system setting:

Version de XOOPS XOOPS 2.5.5
Version de PHP 5.3.9
Version de MySql 5.5.20-log
Serveur API apache2handler
Système d'exploitation WINNT

Steps to reproduce it:
I connect myself as admin to my local xoops website;
I go to administration page;
I go to Oledrion module;
I create a product;
I click on "Edit" product;
I make changes on product;
I click on "Modify"
Message appears "There was a problem while saving data"
Changing are not applied


Thanks

8
Mamba
Re: Is there any kind of webshop module for xoops?
  • 2013/7/3 23:27

  • Mamba

  • Moderator

  • Posts: 11211

  • Since: 2004/4/23


Can you please download the latest version and test it again? I just committed the latest version from Voltan.

I did test it on XOOPS2.5.6, and couldn't reproduce your problem - I could modify the product without any problems.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

9
serial-weber
Re: Is there any kind of webshop module for xoops?

Hi,

It is good now. I just updated my current installation and everyting goes wright.

It is wonderfull that this module is finally improved.

There is not many ecommerce modules in xoops, but this one is really usefull with many options.

Thank you very much!

What happens if I upgrade Oledrion 2.31 with this website setting:

Version de XOOPS XOOPS 2.4.2
Version de PHP 5.2.17
Version de mySQL 5.0.91-log
API serveur cgi
OS Linux

Thank you

10
Mamba
Re: Is there any kind of webshop module for xoops?
  • 2013/7/4 1:27

  • Mamba

  • Moderator

  • Posts: 11211

  • Since: 2004/4/23


Quote:
What happens if I upgrade Oledrion 2.31 with this website setting:
Version de XOOPS XOOPS 2.4.2
Version de PHP 5.2.17

You need XOOPS 2.5.6 and PHP 5.3+
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Login

Username:
Password:

Lost Password? Register now!

Who's Online

66 user(s) are online (41 user(s) are browsing Support Forums)


Members: 0


Guests: 66


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Dec 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits